Uploaded image for project: 'Identity Provider'
  1. Identity Provider
  2. IDP-1300

Make Installer classes explicitly impl and deprecate old ones

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Closed
    • Priority: Major
    • Resolution: Completed
    • Affects Version/s: 3.3.3
    • Fix Version/s: 3.4.0
    • Component/s: Installer
    • Labels:
      None

      Description

      We discussed this in Slack.

      There are a bunch of classes in idp-installer which are used by ant.  There package names do not end in impl and so they are de-facto api.

      In V4 we do not want this happening, so in V3.4 we should move them and leave the old classes deprecated.

        Attachments

          Activity

            People

            Assignee:
            rdw@iay.org.uk Rod Widdowson
            Reporter:
            rdw@iay.org.uk Rod Widdowson
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Time Tracking

                Estimated:
                Original Estimate - Not Specified
                Not Specified
                Remaining:
                Remaining Estimate - 0 minutes
                0m
                Logged:
                Time Spent - 1 hour, 30 minutes
                1h 30m